Package Details: signal 1.25.3-1

Git Clone URL: https://aur.archlinux.org/signal.git (read-only)
Package Base: signal
Description: Private messenger for the desktop
Upstream URL: https://github.com/signalapp/Signal-Desktop
Keywords: messenger secure
Licenses: GPL3
Conflicts: signal-desktop-beta-bin, signal-desktop-bin
Submitter: onny
Maintainer: dbirks (Jake)
Last Packager: dbirks
Votes: 206
Popularity: 5.382089
First Submitted: 2016-08-17 22:58
Last Updated: 2019-06-29 22:23

Latest Comments

1 2 3 4 5 6 ... Next › Last »

kaefert commented on 2019-07-21 10:21

@dbirks I don't know if that was what made it work but I manually installed electron4 and afterwards tried again installing this signal package and then it worked! $LANG = de_AT.UTF-8

dbirks commented on 2019-07-21 01:19

@kaefert - Could you tell me what $LANG is on your system? I'm trying to get the error you're getting.

kaefert commented on 2019-07-20 10:57

Failed to build on my machine. Can somebody help me figure out why? https://pastebin.com/8PkiY4dr thank you!

Reihar commented on 2019-07-10 09:57

Signal make dependency nodejs requires a minimum of version 13.

zangoku commented on 2019-07-03 18:27

Signal updates just fine on manjaro now since electron was updated to version 5 and electron4 was added today.

ammeris commented on 2019-07-01 21:32

@Jake: thank you, this helped to pass the issue and install the package. I hope it will not raise issues in later updates once synchronized with the main repo. @dbirks: indeed seems that way. Thank you or pointing me in the right direction.

Jake commented on 2019-07-01 15:41

@ammeris: You should be able to install it manually: pacman -U https://www.archlinux.org/packages/community/x86_64/electron4/download/

dbirks commented on 2019-07-01 14:42

ammeris - It looks like Manjaro holds back Arch packages before adding them to their repos, so it looks like you will end up having to wait a bit.

AidanGG - Sure thing, I will remember to do that for any future reverts.

buzo commented on 2019-07-01 14:37

ammeris: This is Arch Linux, and we cannot support Manjaro here. Please ask them to provide electron4 in their repo.

Besides, have a look at signal-desktop-bin. This could be the better (easier) choice for you.

ammeris commented on 2019-07-01 14:27

Hello, thank you for maintaining this package. Unfortunately the latest build (1.25.3-1) is failing on my Manjaro laptop due to a requirement of electron4 that (for some reason) I can't find in the community packages (I can only see it thru the web browser, but the package search on the system return zilch). I checked the installed electron version and it 4.1.4-1 which is what this package is looking for, just different name. Can you please update the requirements so that it could work with either electron package?

Thank you!